using System.Collections.Generic;
using PhoneBook.Core.Domain.Contacts;
using PhoneBook.Core.Domain.Phones;
using PhoneBook.Core.Domain.UserGroups;

namespace PhoneBook.Service.Contacts
{
    public interface IContactService
    {

        IList<Contact> GetContactsByUserGroup(int groupId);

        void AddContact(Contact contact);

        IList<Contact> GetAllContacts();
        Contact GetContact(int contactId);
        void UpdateContact(Contact contact);
        int UpdateContact(int contactId, string name, string memo, IList<int> groupIds, IList<Phone> phone );
        void DeleteContact(int contactId);
        IList<Contact> SearchContact(ContactSearchFilter searchFilter);
    }
}