using System.Collections.Generic;
using FluentValidation.Attributes;
using PhoneBook.Core.Domain.Phones;
using PhoneBook.Models.Phones;
using PhoneBook.Models.UserGroups;
using PhoneBook.Validators.Contacts;

namespace PhoneBook.Models.Contacts
{

    [Validator(typeof(ContactAddOrEditModelValidator))]
    public class ContactAddOrEditModel
    {
        public int[] SelectedUserGroupIds { get; set; }

        public int ContactId { get; set; }

        public string UserName { get; set; }

        public string Memo { get; set; }

        public IList<PhoneAddOrEditModel> Phones { get; set; }

        public IList<UserGroupAddOrEditModel> UserGroups { get; set; }

    }
}